%define anolis_release 3

Name:               babeltrace
Version:            1.5.11
Release:            %{anolis_release}%{?dist}
Summary:            A trace manipulation toolkit
License:            MIT and GPLv2
URL:                https://www.efficios.com/babeltrace
Source0:            https://www.efficios.com/files/%{name}/%{name}-%{version}.tar.bz2
Source1:            https://www.efficios.com/files/%{name}/%{name}-%{version}.tar.bz2.asc
Source2:            gpgkey-7F49314A26E0DE78427680E05F1B2A0789F12B11.gpg

Patch0:             babeltrace-getaddrinfo.patch

BuildRequires:      bison >= 2.4 flex >= 2.5.35 swig >= 2.0 
BuildRequires:      gcc gcc-c++ make automake autoconf libtool gnupg2
BuildRequires:      glib2-devel >= 2.22.0 popt-devel >= 1.13 elfutils-devel >= 0.154
BuildRequires:      python3-devel libuuid-devel

Requires:           lib%{name} = %{version}-%{release}

%description
Babeltrace is a trace viewer and converter reading and writing 
the Common Trace Format (CTF). Its main use is to pretty-print 
CTF traces into a human-readable text output ordered by time.


%package -n lib%{name}
Summary:        Common Trace Format Babel Tower

%description -n lib%{name}
This package provides trace read and write libraries for Babeltrace.

%package -n lib%{name}-devel
Summary:        Common Trace Format Babel Tower
Requires:       lib%{name} = %{version}-%{release}
Requires:       glib2-devel

%description -n lib%{name}-devel
This package provides babeltrace development files.

%package -n python3-%{name}
Summary:        Common Trace Format Babel Tower
Requires:       lib%{name} = %{version}-%{release}

%description -n python3-%{name}
This package provides babeltrace python module.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -n %{name}-%{version} -p1


%build
autoreconf -vif
export PYTHON=%{__python3}
export PYTHON_CONFIG=%{__python3}-config
%configure --disable-static --enable-python-bindings
%make_build


%install
make DESTDIR=%{buildroot} install
for f in API.txt LICENSE gpl-2.0.txt mit-license.txt std-ext-lib.txt ChangeLog
do 
    rm -f %{buildroot}/%{_pkgdocdir}/$f
done
%generate_compatibility_deps


%check
make check


%files
%license LICENSE gpl-2.0.txt mit-license.txt
%{_bindir}/%{name}*
%{abidir}/%{name}*-option.list
%doc doc/lttng-live.txt
%{_mandir}/man1/*.1*

%files -n lib%{name}
%dir %{abidir}
%{_libdir}/lib*.so.*
%{!?_licensedir:%global license %%doc}
%doc doc/API.txt
%doc std-ext-lib.txt
%{abidir}/*.dump

%files -n lib%{name}-devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/babeltrace.pc
%{_libdir}/pkgconfig/babeltrace-ctf.pc

%files -n python3-%{name}
%{python3_sitearch}/babeltrace
%{python3_sitearch}/babeltrace*.egg-info

%files doc
%doc ChangeLog

%changelog
* Mon Mar 11 2024 Bo Ren <rb01097748@alibaba-inc.com> - 1.5.11-3
- Rebuild with python3.11

* Thu Apr 13 2023 chen_yu_ao <m15927509890@163.com> - 1.5.11-2
- change spec file format

* Fri Feb 10 2023 happy_orange <songnannan@linux.alibaba.com> - 1.5.11-1
- update to 1.5.11

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.5.8-3
- optimise spec file

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.5.8-2
- add doc package

* Fri Mar 11 2022 Mingyue Zhao <wb-zmy745940@alibaba-inc.com> - 1.5.8-1
- Init for Anolis OS 23
